%define oversion 4.3

Summary:	A GNU tool which simplifies the build process for users
Name:		make
Version:	4.4
Release:	%mkrel 2
Epoch:		1
Url:		http://directory.fsf.org/wiki/Make
License:	GPLv2+
Group:	Development/Other
Source:	ftp://ftp.gnu.org/pub/gnu/make/%name-%oversion.tar.xz
Patch1:	make-4.3-lib64.patch
Patch3:	make-4.3-gfortran.patch
BuildRequires:	gettext-devel
BuildRequires:	texinfo
BuildRequires:	gcc
Requires(pre):	info-install
Requires(post):	info-install

%description
A GNU tool for controlling the generation of executables and other
non-source files of a program from the program's source files.  Make
allows users to build and install packages without any significant
knowledge about the details of the build process.  The details about how
the program should be built are provided for make in the program's
makefile.

The GNU make tool should be installed on your system because it is
commonly used to simplify the process of installing programs.

%prep
%setup -qn %name-%oversion
%apply_patches

%build
autoreconf -fi
%configure2_5x \
	--disable-rpath
%make_build


%install
rm -rf %buildroot
%makeinstall_std

ln -sf make %{buildroot}%{_bindir}/gmake

# (tmb) nuke for now, is there any use of a devel package ?
rm -f %{buildroot}/usr/include/gnumake.h

%find_lang %{name}


%files -f %name.lang
%_bindir/make
%_bindir/gmake
%_mandir/man1/make.1*
%_infodir/make.info*


%changelog
* Fri Nov 11 2022 tex - 1:4.4-2pclos2022
- back down to 4.3

* Thu Nov 10 2022 tex - 1:44-1pclos2022
- new version

* Tue Feb 01 2022 tex - 1:4.3-3pclos2022
- rebuild against updates

* Wed Aug 19 2020 tex - 1:4.3-2pclos2020
- rebuild against updates

* Mon Jan 20 2020 tex -1:4.3-1pclos2020
- update to 4.3

* Sun Dec 08 2019 tex - 1:4.2.1-3pclos2019
- rebuild against updates

* Sat May 25 2019 tex - 1:4.2.1-2pclos2019
- rebuild against updates

* Fri Sep 15 2017 bb2 <bb2> - 4.2.1-1pclos2017
- new version for new gcc
